%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	A program to extract InstallShield cabinet files
Name:		unshield
Version:	0.5
Release:	%mkrel 3
License:	MIT
Group:		Networking/Other
URL:		http://synce.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		unshield-antibork.diff
BuildRequires:	zlib-devel
BuildRequires:	libtool
BuildRoot:	%{_tmppath}/%{name}-root

%description
Cabinet (.CAB) files are a form of archive, which is used by
the InstallShield installer software. The unshield program
simply unpacks such files.

See http://synce.sourceforge.net/ for more information.

%package -n	%{libname}
Summary:	A library to extract InstallShield cabinet files
Group:          System/Libraries

%description -n	%{libname}
Cabinet (.CAB) files are a form of archive, which is used by
the InstallShield installer software. The unshield program
simply unpacks such files.

See http://synce.sourceforge.net/ for more information.

%package -n	%{develname}
Summary:	Development library and header files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	zlib-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname %{name} 0 -d}

%description -n	%{develname}
Cabinet (.CAB) files are a form of archive, which is used by
the InstallShield installer software. The unshield program
simply unpacks such files.

See http://synce.sourceforge.net/ for more information.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1

%build
#sh bootstrap
libtoolize --copy --force --automake; aclocal -I m4; autoheader; automake --copy --foreign --add-missing; autoconf

export CFLAGS="%{optflags} -fPIC"

%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README LICENSE
%{_bindir}/unshield

%files -n %{libname}
%defattr(-,root,root)
%doc README LICENSE
%{_libdir}/*.so.*
#%{_mandir}/man3/*

%files -n %{develname}
%defattr(-,root,root)
%doc TODO LICENSE
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_datadir}/aclocal/unshield.m4


%changelog
* Mon Sep 10 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-3mdv2008.0
+ Revision: 84034
- fix build
- new devel naming
- fix build


* Wed Sep 06 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-09-06 11:14:31 (60225)
- Use mkrel
- Fix bad ownship
- Remove Patch 1: not needed to compile

* Thu Aug 03 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-03 15:13:31 (43283)
- import unshield-0.5-1mdk

* Thu Jul 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5-1mdk
- New release 0.5

* Thu May 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.4-4mdk
- Fix build for amd64
- %%{1}mdv2007.0

* Fri Dec 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4-3mdk
- revert latest "lib64 fixes"
- fix useless-explicit-provides

* Tue Dec 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4-2mdk
- lib64 fixes

* Tue Aug 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4-1mdk
- 0.4

* Sun May 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3-1mdk
- initial cooker contrib
- used parts from the provided spec file

